corda / net.corda.node.services.messaging / MarshalledObservation

# MarshalledObservation

`data class MarshalledObservation`

Used in the RPC wire protocol to wrap an observation with the handle of the observable it's intended for.

### Constructors

<init> | `MarshalledObservation(forHandle: Int, what: Notification<*>)` Used in the RPC wire protocol to wrap an observation with the handle of the observable it's intended for.

### Properties

forHandle | `val forHandle: Int`
what | `val what: Notification<*>`